> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blend.money/llms.txt
> Use this file to discover all available pages before exploring further.

# Request creation of a Safe for a chain



## OpenAPI

````yaml /openapi/extern-svr.json post /extern/svr/{accountTypeId}/account/{accountId}/safe/request
openapi: 3.1.0
info:
  title: Blend business-api — extern svr
  version: 1.0.0
  description: >-
    Server integration surface. Auth: X-API-Key header. The account is explicit
    in the URL path.
servers:
  - url: https://{host}
    variables:
      host:
        default: api.portal.blend.money
security: []
paths:
  /extern/svr/{accountTypeId}/account/{accountId}/safe/request:
    post:
      tags:
        - svr
      summary: Request creation of a Safe for a chain
      operationId: svr_requestSafe
      parameters:
        - name: accountTypeId
          in: path
          required: true
          schema:
            type: string
        - name: accountId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                chainId:
                  anyOf:
                    - type: string
                    - type: number
              required:
                - chainId
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    const: success
                  data:
                    $ref: '#/components/schemas/MessageResponse'
                required:
                  - status
                  - data
                additionalProperties: false
        '400':
          $ref: '#/components/responses/Error'
        '401':
          $ref: '#/components/responses/Error'
        '403':
          $ref: '#/components/responses/Error'
        '429':
          $ref: '#/components/responses/Error'
        '503':
          $ref: '#/components/responses/Error'
      security:
        - ApiKey: []
components:
  schemas:
    MessageResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      additionalProperties: false
  responses:
    Error:
      description: Error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                const: error
              message:
                type: string
            required:
              - status
              - message
            additionalProperties: false
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: Server-to-server API key

````